# Smart Contract

## zkSync Era Mainnet

```
WETH
0x5aea5775959fbc2557cc8789bc1bf90a239d9a91

SyncSwapVault
0x621425a1Ef6abE91058E9712575dcc4258F8d091

SyncSwapPoolMaster
0xbB05918E9B4bA9Fe2c8384d223f0844867909Ffb

SyncSwapClassicPoolFactory
0xf2DAd89f2788a8CD54625C60b55cD3d2D0ACa7Cb

SyncSwapStablePoolFactory
0x5b9f21d407F35b10CbfDDca17D5D84b129356ea3

SyncSwapRouter
0x2da10A1e27bF85cEdD8FFb1AbBe97e53391C0295

```

## Sophon Testnet

`Router V2 0x5C07E74cB541c3D1875AEEE441D691DED6ebA204`

`Pool Master 0xbB05918E9B4bA9Fe2c8384d223f0844867909Ffb`

`Classic Factory v2.1 0x701f3B10b5Cc30CA731fb97459175f45E0ac1247`

`Stable Factory v2.1 0xfd43b4DB521DA13490E79EB6CfbA19C9b012811c`

`Aqua Factory v2.1 0x5b9f21d407F35b10CbfDDca17D5D84b129356ea3`

`Route Helper 0x5FeE4bbc7000b57CE246fd5d8E392099F65f5e09`

## ZKsync Testnet (Sepolia)

`Pool Master 0x5b9f21d407F35b10CbfDDca17D5D84b129356ea3`

`Classic Factory 0x5FeE4bbc7000b57CE246fd5d8E392099F65f5e09`

`Stable Factory 0x4444f80DfB8a8a29E79087f066eaC306784699Ce`

`Router 0x3f39129e54d2331926c1E4bf034e111cf471AA97`

`Route Helper` 0x46384918127fBd1679C757DF7b495C3F61481467

## Scroll Alpha Testnet

Note the address of testnet contracts is subject to change without notice.

```
WETH
0x7160570bb153edd0ea1775ec2b2ac9b65f1ab61b

SyncSwapVault
0xBe87D2faF9863130D60fe0c454B5990863d45BBa

SyncSwapPoolMaster
0x3e846B1520E74728EFf445F1f86D348755F738d9

SyncSwapClassicPoolFactory
0x46c8dc568ED604bB18C066Fc8d387859b7977836

SyncSwapStablePoolFactory
0x441B24fc497317767a9D293931A33939953F251f

SyncSwapRouter
0xC458eED598eAb247ffc19d15F19cf06ae729432c

```

## Polygon zkEVM Testnet

```
WETH
0xee589e91401066068af129b0005ac3ef69e3fdb4

SyncSwapVault
0xBe87D2faF9863130D60fe0c454B5990863d45BBa

SyncSwapPoolMaster
0x3e846B1520E74728EFf445F1f86D348755F738d9

SyncSwapClassicPoolFactory
0x46c8dc568ED604bB18C066Fc8d387859b7977836

SyncSwapStablePoolFactory
0x441B24fc497317767a9D293931A33939953F251f

SyncSwapRouter
0xC458eED598eAb247ffc19d15F19cf06ae729432c

```

## zkSync Era Testnet

Note the address of testnet contracts is subject to change without notice.

### Staging Testnet (Recommended)

The staging testnet includes updates on dynamic fees.

```
WETH
0x20b28b1e4665fff290650586ad76e977eab90c5d

SyncSwapVault
0x4Ff94F499E1E69D687f3C3cE2CE93E717a0769F8

SyncSwapPoolMaster
0x22E50b84ec0C362427B617dB3e33914E91Bf865a

SyncSwapClassicPoolFactory
0xf2FD2bc2fBC12842aAb6FbB8b1159a6a83E72006

SyncSwapStablePoolFactory
0xB6a70D6ab2dE494592546B696208aCEeC18D755f

SyncSwapRouter
0xB3b7fCbb8Db37bC6f572634299A58f51622A847e

```

### Era Testnet (Deprecated)

```
WETH
0x20b28b1e4665fff290650586ad76e977eab90c5d

SyncSwapVault
0x6C41e61C5449B0916103d536c638E470bbabf95e

SyncSwapPoolMaster
0x4bEAC45efEE4DfB45f7397C19c13a89611dE193D

SyncSwapClassicPoolFactory
0xeaeDD100A9e61CE0412664CE598F0a624CFB3ccB

SyncSwapStablePoolFactory
0x51372e0F0BfAa5be848762AE828D1a24bb0d7Fa0

SyncSwapRouter
0x4dbcd68F735e91ccBa5dff2d4DAb7B0729BBc1a4

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.syncswap.xyz/api-documentation/resources/smart-contract.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
